Skip to main content
GET
/
files
/
{assistant_name}
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"

curl -X GET "https://prod-1-data.ke.pinecone.io/assistant/files/$ASSISTANT_NAME" \
  -H "Api-Key: $PINECONE_API_KEY" \
  -H "X-Pinecone-Api-Version: 2026-04"
{
  "files": [
    {
      "name": "<string>",
      "id": "<string>",
      "size": 1048576,
      "metadata": {
        "created_by": "Jane Doe",
        "published": "2025-10-01T00:00:00.000Z",
        "tags": [
          "report",
          "Q4",
          "analytics"
        ]
      },
      "created_on": "2025-10-01T12:30:00.000Z",
      "updated_on": "2025-10-01T12:45:00.000Z",
      "status": "<string>",
      "signed_url": "https://storage.googleapis.com/bucket/file.pdf?...",
      "multimodal": true
    }
  ],
  "pagination": {
    "next": "dXNlcl9pZD11c2VyXzE="
  }
}
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"

curl -X GET "https://prod-1-data.ke.pinecone.io/assistant/files/$ASSISTANT_NAME" \
  -H "Api-Key: $PINECONE_API_KEY" \
  -H "X-Pinecone-Api-Version: 2026-04"

Authorizations

Api-Key
string
header
required

Pinecone API Key

Headers

X-Pinecone-Api-Version
string
default:2026-04
required

Required date-based version header

Path Parameters

assistant_name
string
required

The name of the assistant to list files for.

Query Parameters

filter
string<json>

Optional JSON-encoded metadata filter for files.

limit
integer

Limit on the number of files to return.

pagination_token
string

Pagination token to continue a previous listing operation.

Response

This operation returns a list of all files that you have previously uploaded, and which are associated with the given assistant name.

files
object[]

The list of files that exist in the assistant.

pagination
object

Object that contains the next pagination token to continue a previous listing operation.

Example:
{ "next": "dXNlcl9pZD11c2VyXzE=" }